# Inlinelabel Package

This package can assign equation numbers to inline equations. When Japanese is supported, you can switch to circled equation numbers.


## System Requirements

+ TeX format: LaTeX
+ Prerequisite package: amsmath and refcount
+ Prerequisite package with [circled] option: japanese-otf


## Installation

Move inlinelabel.sty file to $TEXMF/tex/latex/hideanswer.


## Usage

### \inlinelabel{<label>}

Put the inline equation number. Place it outside of the equation (outside of the $--$). Take the name of the label as an argument. Take a small margin before and after the text to make it look natural. If you don't want margins, use \inlinelabel*{<label>}.


### Option [circled]

Assuming you are using a Japanese environment. Switch to circled equation numbers. All equation numbers are rewritten, not just the inline equation numbers.


### \circledref{<label>}

Only valid when [circled] option is loaded.
Refer to the circled equation number.


### \equationref{<label>}

Only valid when [circled] option is loaded.
This macro is the same as \circledref{<label>}.


## License

This package released under [the MIT license](https://ctan.org/license/mit).


## Revision History

+ Version 1.0 2022-06-28
    + The first public version.


---

[Yukoh KUSAKABE](https://twitter.com/metaphysicainfo) (screen-name) at [metaphysica.info](https://www.metaphysica.info/)