# Inlinelabel パッケージ

このパッケージは，インライン数式に数式番号を振ることができます。また，日本語を扱えるときには，丸で囲まれた数式番号に切り替えることができます。


## 前提条件

+ TeX format: LaTeX
+ Prerequisite package: amsmath and refcount
+ Prerequisite package with [circled] option: japanese-otf


## インストール

inlinelabel.sty を $TEXMF/tex/latex/hideanswer （TeXが見つけられる場所）に置いてください。


## 使用方法

### \inlinelabel{<label>}

インラインの数式番号を置きます。数式の外（$--$の外）に置いてください。引数にラベルの名前を取ります。文章を自然に見せるために，前後に少しの余白を取ります。余白がいらないときは，\inlinelabel*{<label>} を使ってください。


### Option [circled]

あなたが日本語の環境を使用していることを前提とします。丸で囲まれた数式番号に切り替えます。インラインの数式番号だけでなく，すべての数式番号が書き換えられます。


### \circledref{<label>}

[circled] オプションを読み込んでいるときにのみ有効です。
丸で囲まれた数式番号を参照します。


### \equationref{<label>}

[circled] オプションを読み込んでいるときにのみ有効です。
\circledref{<label>} と同じです。


## ライセンス

このパッケージは[MITライセンス](https://ctan.org/license/mit)のもとで配布しています。


## 更新履歴

+ Version 1.0 2022-06-28
    + The first public version.


---

[Yukoh KUSAKABE](https://twitter.com/metaphysicainfo) (screen-name) at [metaphysica.info](https://www.metaphysica.info/)